# Please check again if someone wants to import
# this also to EPEL.

%if ! (0%{?fedora} > 12)
%{!?python_sitelib:		%global python_sitelib	%(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:		gphotoframe
Version:	1.0
Release:	2%{?dist}.1
Summary:	Photo Frame Gadget for the GNOME Desktop

Group:		Amusements/Graphics
# GPLv3 seems safer than GPLv3+
# Some image files are under GPLv2+
License:	GPLv3 and GPLv2+
URL:		http://code.google.com/p/gphotoframe/
Source0:	http://gphotoframe.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:	GConf2
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	python2-devel
BuildRequires:	python-distutils-extra

# Mandatory
Requires:	pygtk2
Requires:	python-exif
Requires:	python-twisted-web
Requires:	pyxdg
# Optional
Requires:	libproxy-python
Requires:	gnome-python2-gnomekeyring
# For now kill two below
# Does not seem to work with clutter-gtk
#Requires:	pyclutter
#Requires:	pyclutter-gtk
Requires:	python-feedparser
# Scriptlets
Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun):	GConf2

BuildArch:	noarch

%description
Gnome Photo Frame is a photo frame gadget for the GNOME Desktop.

%package	gss
Summary:	Compatibility package of %{name} for gnome-screensaver
Group:		Amusements/Graphics
Requires:	%{name} = %{version}-%{release}
Requires:	gnome-screensaver

%description	gss
This package contains scripts and desktop files of %{name}
for gnome-screensaver compatibility.

%prep
%setup -q

# Remove unneeded shebangs
grep -rl '^#![ \t]*%{_bindir}' lib/ | \
	xargs sed -i -e '\@^#![ \t]*%{_bindir}@d'

# Explicitly don't use clutter-gtk for now
grep -rl 'import clutter' lib/ | \
	xargs sed -i -e 's|import clutter|import dont_use_clutter|'

# Use system-wide EXIF
rm lib/utils/EXIF.py
sed -i -e 's|from ..utils.EXIF|from EXIF|' \
	lib/plugins/base.py


%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

%{__python} setup.py install \
	--skip-build \
	--root %{buildroot}

# GConf schemas
mkdir -p %{buildroot}%{_sysconfdir}/gconf/schemas
install -cpm 0644 ./build/share/gconf/schemas/%{name}.schemas \
	%{buildroot}%{_sysconfdir}/gconf/schemas/

# Install desktop
mkdir -p \
	%{buildroot}%{_datadir}/applications
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	build/share/applications/gphotoframe.desktop

# gnome-screensver related
# FIXME: I don't use gnome-screensaver...
mkdir -p \
	%{buildroot}%{_libexecdir}/gnome-screensaver \
	%{buildroot}%{_datadir}/applications/screensavers
install -cpm 0644 \
	./build/share/applications/screensavers/gphotoframe-screensaver.desktop \
	%{buildroot}%{_datadir}/applications/screensavers/
# ignore failure (if any) for screensaver desktop
desktop-file-validate \
	%{buildroot}%{_datadir}/applications/screensavers/gphotoframe-screensaver.desktop || true
# lib/ is hardcoded in setup.py
mv %{buildroot}%{_prefix}/lib/gnome-screensaver/gnome-screensaver/gphotoframe-screensaver \
	%{buildroot}%{_libexecdir}/gnome-screensaver/

%clean
rm -rf %{buildroot}

%pre
%gconf_schema_prepare %{name}
exit 0

%post
%gconf_schema_upgrade %{name}
exit 0

%preun
%gconf_schema_remove %{name}
exit 0

%files
%defattr(-,root,root,-)
%doc	COPYING
%doc	GPL
%doc	README
%doc	changelog

%{_bindir}/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{python_sitelib}/%{name}/
%{_datadir}/%{name}/

%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/applications/%{name}.desktop

%files	gss
%defattr(-,root,root,-)
%{_libexecdir}/gnome-screensaver/%{name}-screensaver
%{_datadir}/applications/screensavers/%{name}-screensaver.desktop

%changelog
* Tue Jul 27 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-14: rebuild against python 2.7

* Sun Jul 25 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0-2
- Fix license tag
- Remove unneeded macro definition

* Sat Jul 24 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0-1
- Initial packaging

